SDL_DataQueuePacket Struct Reference
Collaboration diagram for SDL_DataQueuePacket:
[legend]

## Data Fields

size_t | datalen
size_t | startpos
struct SDL_DataQueuePacket * | next
Uint8 | data [SDL_VARIABLE_LENGTH_ARRAY]

## Detailed Description

Definition at line 27 of file SDL_dataqueue.c.

## Field Documentation

## data

Uint8 SDL_DataQueuePacket::data[SDL_VARIABLE_LENGTH_ARRAY]

Definition at line 32 of file SDL_dataqueue.c.

Referenced by SDL_PeekIntoDataQueue(), SDL_ReadFromDataQueue(), SDL_ReserveSpaceInDataQueue(), and SDL_WriteToDataQueue().

## datalen

size_t SDL_DataQueuePacket::datalen

Definition at line 29 of file SDL_dataqueue.c.

Referenced by AllocateDataQueuePacket(), SDL_NewDataQueue(), SDL_PeekIntoDataQueue(), SDL_ReadFromDataQueue(), SDL_ReserveSpaceInDataQueue(), and SDL_WriteToDataQueue().

## next

struct SDL_DataQueuePacket* SDL_DataQueuePacket::next

Definition at line 31 of file SDL_dataqueue.c.

Referenced by AllocateDataQueuePacket(), SDL_ClearDataQueue(), SDL_FreeDataQueueList(), SDL_NewDataQueue(), SDL_PeekIntoDataQueue(), SDL_ReadFromDataQueue(), and SDL_WriteToDataQueue().

## startpos

size_t SDL_DataQueuePacket::startpos

Definition at line 30 of file SDL_dataqueue.c.

Referenced by AllocateDataQueuePacket(), SDL_NewDataQueue(), SDL_PeekIntoDataQueue(), and SDL_ReadFromDataQueue().

The documentation for this struct was generated from the following file:

- src/SDL_dataqueue.c